DRM_PROPERTY_CREATE_(9)

NAME
drm_property_create_bitmask - create a new bitmask property type

SYNOPSIS

struct drm_property * drm_property_create_bitmask(struct drm_device * dev, int flags, const char * name, const struct drm_prop_enum_list * props, int num_props, uint64_t supported_bits);

ARGUMENTS

dev
    drm device

flags
    flags specifying the property type

name
    name of the property

props
    enumeration lists with property bitflags

num_props
    size of the props array

supported_bits
    bitmask of all supported enumeration values

DESCRIPTION

This creates a new bitmask drm property which can then be attached to a drm object with drm_object_attach_property. The returned property object must be freed with drm_property_destroy.

Compared to plain enumeration properties userspace is allowed to set any or'ed together combination of the predefined property bitflag values

RETURNS

A pointer to the newly created property on success, NULL on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT